This app requires the MSP430G2553 Rev 1.5 Launchpad.

_**Please configure the jumpers as shown below:**_


![](images/startbutton-mspexp430g2-02.jpg)

* Plug a USB cable into your MSP430G2553 Launchpad and into your PC.
* When the app starts, it will automatically connect to the Launchpad and program the target device
   * if you do not have the Launchpad plugged in when the app starts, refresh the page to restart the auto-connect process.
   * if you run into problems, try unplugging the Launchpad, plugging it back in and refreshing the page.
* You can select the temperature scale from the Options menu (C, F, K).
* You can configure whether the Green and Red LEDs are on or off by clicking the checkboxes.

**NOTE**: Close all other CCS Cloud Sessions or GUI Composer preview sessions before running this demo. 

* The Energia target code is available [here](target/ReadLEDsAndTempJSON_2553.ino)
* The .hex executable is available [here](target/ReadLEDsAndTempJSON_2553.hex)
* For troubleshooting help, please click [here](https://dev.ti.com/gc/designer/help/TroubleShooting/index.html)

To view this README.md file again, select Help / View README.md from the menu bar.
